Start a WhatsApp Conversation
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/whatsapp/manage/startWhatsAppThread/{workspaceId}/{assistantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"toNumber": "<string>",
"templateName": "<string>",
"language": "<string>",
"attributes": {}
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/whatsapp/manage/startWhatsAppThread/{workspaceId}/{assistantId}"
payload = {
"toNumber": "<string>",
"templateName": "<string>",
"language": "<string>",
"attributes": {}
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toNumber: '<string>',
templateName: '<string>',
language: '<string>',
attributes: {}
})
};
fetch('https://catalystapi.superdashhq.com/api/v1/whatsapp/manage/startWhatsAppThread/{workspaceId}/{assistantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Outbound WhatsApp Message succesfully sent",
"data": {
"contacts": [
{
"input": "{toNumber}", // The toNumber of the recipient
"wa_id": "{toNumber}" // The Whatsapp Id of the recipient
}
],
"messages": [
{
"id": "{whatsapp_message_Id}", // The WhatsApp Message Id of the sent message
"message_status": "{message_status}" // The status of the sent message
}
],
"phoneNumberId": "{phoneNumberId}", // The phone number Id
"conversationId": "{conversationId}" // The conversation Id
}
}
{
"msg": "Api key is not valid"
}
{
"msg": "No WhatsApp Phone Number Ids found, please add phone numbers and try again"
}
{
"msg": "Internal Server Error"
}
WhatsApp
Start a WhatsApp Conversation
Endpoint to start a new WhatsApp Conversation with a template
POST
/
v1
/
whatsapp
/
manage
/
startWhatsAppThread
/
{workspaceId}
/
{assistantId}
Start a WhatsApp Conversation
Authorizations
string
required
API key associated with the Workspace
Path Parameters
string
required
The UUID of the Workspace
string
required
The UUID of the Assistant
Body Parameters
string
required
The Recipient’s Phone Number with country code
string
required
The name of the WhatsApp Template to be sent
string
required
The language of the Whatsapp message template specified in
templateNameobject
The
"Named Parameters" if any, to be used in the specified WhatsApp TemplateResponse
{
"msg": "Outbound WhatsApp Message succesfully sent",
"data": {
"contacts": [
{
"input": "{toNumber}", // The toNumber of the recipient
"wa_id": "{toNumber}" // The Whatsapp Id of the recipient
}
],
"messages": [
{
"id": "{whatsapp_message_Id}", // The WhatsApp Message Id of the sent message
"message_status": "{message_status}" // The status of the sent message
}
],
"phoneNumberId": "{phoneNumberId}", // The phone number Id
"conversationId": "{conversationId}" // The conversation Id
}
}
{
"msg": "Api key is not valid"
}
{
"msg": "No WhatsApp Phone Number Ids found, please add phone numbers and try again"
}
{
"msg": "Internal Server Error"
}
⌘I